Name: hsqldb
Version: 1.8.0.7
Release: alt2

Summary: Hsqldb Database Engine
License: BSD Style
Url: http://hsqldb.sourceforge.net/

Source0: %name-%version.tar.bz2
Source1: %name-1.7.3.3-standard.cfg
Source2: %name-1.7.3.3-standard-server.properties
Source3: %name-1.7.3.3-standard-webserver.properties
Source4: %name-1.7.3.3-standard-sqltool.rc
Source5: %name.init
Source6: %{name}RunUtil

Requires: jakarta-servletapi4
BuildPreReq: /proc rpm-build-java jpackage-1.4-compat
BuildRequires: ant junit jakarta-servletapi4
Group: Development/Java
Buildarch: noarch

%description
HSQLdb is a relational database engine written in JavaTM , with a JDBC
driver, supporting a subset of ANSI-92 SQL. It offers a small (about
100k), fast database engine which offers both in memory and disk based
tables. Embedded and server modes are available. Additionally, it
includes tools such as a minimal web server, in-memory query and
management tools (can be run as applets or servlets, too) and a number
of demonstration examples.
Downloaded code should be regarded as being of production quality. The
product is currently being used as a database and persistence engine in
many Open Source Software projects and even in commercial projects and
products! In it's current version it is extremely stable and reliable.
It is best known for its small size, ability to execute completely in
memory and its speed. Yet it is a completely functional relational
database management system that is completely free under the Modified
BSD License. Yes, that's right, completely free of cost or restrictions!

%package server
Summary: %name server
Group: System/Servers
Requires: %name = %version-%release

%description server
%name - A High Performance Java Database Server.

%package manual
Summary: Manual for %name
Group: Development/Java

%description manual
Documentation for %name.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%package demo
Summary: Demo for %name
Group: Development/Java
Requires: %name-server = %version-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q -n %name
# set right permissions
find . -name "*.sh" -exec chmod 755 \{\} \;
# remove all _notes directories
for dir in `find . -name _notes`; do rm -rf $dir; done
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
find . -name "*.war" -exec rm -f {} \;
# correct silly permissions
chmod -R go=u-w *

%build
%set_classpath %_javadir/servletapi.jar
%add_classpath %_javadir/junit.jar
%ant_build -f build/build.xml jar javadoc

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_bindir,%_sysconfdir/{rc.d/init.d,sysconfig}}
%__mkdir_p %buildroot{%_localstatedir/%name/{lib,data},%_datadir/%name/demo,%_logdir/%name}

# jar
%__install -m 644 lib/%name.jar %buildroot%_javadir/
# bin
%__install -m 755 %SOURCE6 %buildroot%_bindir/%{name}RunUtil
# sysv init
%__install -m 755 %SOURCE5 %buildroot%_sysconfdir/rc.d/init.d/%name
# config
%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/%name
# serverconfig
%__install -m 644 %SOURCE2 %buildroot%_localstatedir/%name/server.properties
%__install -m 644 %SOURCE3 %buildroot%_localstatedir/%name/webserver.properties
%__install -m 600 %SOURCE4 %buildroot%_localstatedir/%name/sqltool.rc
# lib
%__install -m 644 lib/functions %buildroot%_localstatedir/%name/lib/
%__ln_s $(relative %_javadir/%name.jar %_localstatedir/%name/lib/) %buildroot%_localstatedir/%name/lib/
%__ln_s $(relative %_javadir/servletapi.jar %_localstatedir/%name/lib/) %buildroot%_localstatedir/%name/lib/

# demo
# do not install scripts - hsqldbRunUtil include they all
#%__install -m 755 demo/*.sh 	%buildroot%_datadir/%name/demo
%__install -m 644 demo/*.html 	%buildroot%_datadir/%name/demo
# javadoc
%__cp -r doc/src/* %buildroot%_javadocdir/%name
%__rm -rf doc/src

%pre server
# Add the "hsqldb" user and group
%_sbindir/groupadd -r -f %name >/dev/null 2>&1 ||:
%_sbindir/useradd -r -g %name -c "hsqldb server" -d %_localstatedir/%name -s /dev/null -n %name \
        >/dev/null 2>&1 ||:

%post server
%post_service %name

%preun server
%preun_service %name

%files
%_javadir/*

%files server
%attr(0755,root,root) %_bindir/*
%attr(0755,root,root) %_sysconfdir/rc.d/init.d/%name
%attr(0640,root,root) %_sysconfdir/sysconfig/%name
%attr(0775,root,hsqldb) %_localstatedir/%name/data
%_localstatedir/%name/lib
%_localstatedir/%name/server.properties
%_localstatedir/%name/webserver.properties
%attr(0660,root,hsqldb) %_localstatedir/%name/sqltool.rc
%attr(0770,root,hsqldb) %_logdir/%name
%doc index.html readme.txt

%files manual
%doc doc/

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files demo
%_datadir/%name

%changelog
* Mon Apr 30 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.8.0.7-alt2
- Built with java-1.4.0 to maintain backward compatibility

* Thu Apr 19 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.8.0.7-alt1
- 1.8.0.7 version
- Built with java-1.5.0

* Thu Apr 21 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7.3.3-alt1
- Initial build for ALT Linux Sisyphus

